## NAME

r.surf.random - Produces a raster surface map of uniform random deviates with defined range.

## KEYWORDS

raster, surface, random

## SYNOPSIS

r.surf.random
r.surf.random --help
r.surf.random [-i] output=name [min=integer] [max=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-i
  Create an integer raster map
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

output=name [required]
  Name for output raster map
min=integer
  Minimum random value
  Default: 0
max=integer
  Maximum random value
  Default: 100

## DESCRIPTION

r.surf.random produces a raster map layer of uniform random deviates whose range can be expressed by the user. It is essentially the same as r.surf.gauss, but uses a linear random number generator instead. It uses the random number generator drand48() or rand(), depending on the user's platform.

## EXAMPLE

    g.region -p n=228500 s=215000 w=630000 e=645000 res=10
    r.surf.random out=random min=0 max=100

    # check result
    r.univar random

Figure: Random surface example (min: 10; max: 100)

With the histogram tool the cell values versus count can be shown.

Figure: Histogram of random surface example (min: 10; max: 100)

## SEE ALSO

r.random.surface, r.surf.contour, r.surf.fractal, r.surf.gauss, r.surf.idw, v.surf.rst

## AUTHOR

Jo Wood
Midlands Regional Research Laboratory (ASSIST)
University of Leicester
October 1991

## SOURCE CODE

Available at: r.surf.random source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6RC1 Reference Manual